Subject: Re: [PATCH 6/9] MPIC MSI allocator

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 15 Dec 2006 13:28:49 +1100

On Fri, 2006-12-15 at 02:47 +0100, Segher Boessenkool wrote:
> >>> "msi-ranges" is ambiguous, are the ranges available or reserved?
> >>>
> >>> How about "msi-available-ranges" :D
> >>
> >> The property describes vectors that are not (yet) in use by
> >> the hardware; so let's do "available-vectors"?
> >
> > If we are going to be pedantic, it should be msi-available-sources :-)
> 
> But a) it's not really MSI-only, and b) they're not source
> numbers, but delivery vector numbers (yeah, those are almost
> the same on U3/U4, but hey).

Actually, they aren't vector numbers, those are what you program in the
MPIC itself to be emited. Thus they are source numbers according to the
last time I read the docs :-) Not that it matters anyway :-)

Ben.